@echo off

echo Please select an option:
echo 1. Start As 4-bit Precision
echo 2. Start As 8-bit Precision
echo 3. Start As 16-bit Precision
echo 4. Start As 32-bit Precision
echo.

set /p choice="Enter your choice (1-4): "

echo Please select an option:
echo 1. Start Without Gradio Share
echo 2. Start With Gradio Share
echo.

set /p choice2="Enter your choice (1-2): "

cd CogVLM
call .\venv\Scripts\activate.bat
cd ..

if %choice% == 1 (
    set quant=4
) else if %choice% == 2 (
    set quant=8
) else if %choice% == 3 (
    set quant=16
) else if %choice% == 4 (
    set quant=32
)

if /I "%choice2%" == "2" (
    python web_app_CogVLM.py --quant %quant% --share
) else (
    python web_app_CogVLM.py --quant %quant%
)

pause
